Bug 95605

Summary: [Chromium-Android] Investigate removing hard-coded skipped directories in chromium_android.py
Product: WebKit Reporter: Xianzhu Wang <wangxianzhu>
Component: Tools / TestsAssignee: Xianzhu Wang <wangxianzhu>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dpranke, ojan, peter, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 93627    
Attachments:
Description Flags
Patch
none
Patch
none
Rebased
none
Rebased again none

Description Xianzhu Wang 2012-08-31 13:52:09 PDT
Chromium_android.py contains hard-coded skipped directories in ChromiumAndroidPort.skipped_layout_tests(). This looks not good, and new-run-webkit-tests --lint will report many errors. Investigate how to remove them. Putting them in TestExpectations is a choice but needs to exclude ANDROID from existing rules of the individual tests under these directories.
Comment 1 Dirk Pranke 2012-08-31 13:55:25 PDT
using the separate expectations file as suggested in the other bug solves this problem as well ... skipping the whole directory in the later file should override individual tests in the earlier file.
Comment 2 Xianzhu Wang 2012-08-31 14:16:29 PDT
(In reply to comment #1)
> using the separate expectations file as suggested in the other bug solves this problem as well ... skipping the whole directory in the later file should override individual tests in the earlier file.

Oh, I should have remembered this. This was just the way worked in downstream but I just thought it weren't work :)
Comment 3 Xianzhu Wang 2012-08-31 14:41:43 PDT
Created attachment 161779 [details]
Patch
Comment 4 Dirk Pranke 2012-08-31 14:44:25 PDT
Comment on attachment 161779 [details]
Patch

I would put the file in platform/chromium-android/TestExpectations and leave out the "ANDROID" modifiers to be more consistent with the other ports.
Comment 5 Ojan Vafai 2012-08-31 14:56:46 PDT
Comment on attachment 161779 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=161779&action=review

> LayoutTests/platform/chromium/TestExpectationsAndroid:38
> +BUGCR145338 WONTFIX ANDROID SKIP : fast/forms/time-multiple-fields = PASS
> +BUGCR145338 WONTFIX ANDROID SKIP : fast/forms/color = PASS
> +BUGCR145338 WONTFIX ANDROID SKIP : fast/forms/datalist = PASS
> +BUGCR145338 WONTFIX ANDROID SKIP : fast/forms/date = PASS
> +BUGCR145338 WONTFIX ANDROID SKIP : fast/mediastream = PASS
> +BUGCR145338 WONTFIX ANDROID SKIP : fast/notifications = PASS
> +BUGCR145338 WONTFIX ANDROID SKIP : fast/speech = PASS
> +BUGCR145338 WONTFIX ANDROID SKIP : http/tests/notifications = PASS
> +BUGCR145338 WONTFIX ANDROID SKIP : platform/chromium/fast/forms/color = PASS
> +BUGCR145338 WONTFIX ANDROID SKIP : webaudio = PASS

Drive by comment unrelated to this patch. Do we really never intend to implement these on android?
Comment 6 Xianzhu Wang 2012-08-31 17:35:09 PDT
Created attachment 161798 [details]
Patch
Comment 7 Xianzhu Wang 2012-08-31 17:36:40 PDT
Comment on attachment 161779 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=161779&action=review

>> LayoutTests/platform/chromium/TestExpectationsAndroid:38
>> +BUGCR145338 WONTFIX ANDROID SKIP : webaudio = PASS
> 
> Drive by comment unrelated to this patch. Do we really never intend to implement these on android?

Not sure for the unlimited future :)
Removed the WONTFIX to keep consistent with the status of the bug.
Comment 8 Xianzhu Wang 2012-08-31 17:39:33 PDT
(In reply to comment #4)
> (From update of attachment 161779 [details])
> I would put the file in platform/chromium-android/TestExpectations and leave out the "ANDROID" modifiers to be more consistent with the other ports.

Done. I also moved other skipping rules into platform/chromium-android/TestExpectations because they will have a better context there. For example, it seems better to put together the rules for plugins directories and plugin tests out of the plugin directories.
Comment 9 Xianzhu Wang 2012-09-01 11:54:44 PDT
Created attachment 161831 [details]
Rebased
Comment 10 WebKit Review Bot 2012-09-01 12:47:17 PDT
Comment on attachment 161831 [details]
Rebased

Rejecting attachment 161831 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
erge conflict in Source/WebCore/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 fast/events/message-port-clone.html hits ASSERT in Debug (usually in later tests)

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.

Full output: http://queues.webkit.org/results/13724609
Comment 11 Xianzhu Wang 2012-09-01 12:53:20 PDT
Created attachment 161832 [details]
Rebased again
Comment 12 WebKit Review Bot 2012-09-01 13:29:09 PDT
Comment on attachment 161832 [details]
Rebased again

Clearing flags on attachment: 161832

Committed r127382: <http://trac.webkit.org/changeset/127382>
Comment 13 WebKit Review Bot 2012-09-01 13:29:13 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Xianzhu Wang 2012-09-05 17:51:42 PDT
This is also a part of Android test expectation upstreaming.